default:
  image: node:14
  
  cache:
    paths:
      - node_modules/
      - .next

stages:
  - build
  - staging

install_deps:
  stage: .pre
  script:
    - npm install

lint:
  stage: build
  script:
    - npm run lint

build:
  stage: build
  script:
    - npm run build

pages:
  stage: staging
  script:
    - npm run export
    - mv public src-public
    - mv out public
  artifacts:
    paths:
      - public
  only:
    - main
